Name: rtg2
Version: 0.9
Release: 2%{?dist}
Summary: rtg2 package for SNMP monitoring

Group: System Environment/Daemons
License: GPLv2
URL: http://code.google.com/p/rtg2/
Source0: rtg2-0.9.tar.gz
Source1: sysconfig-rtg
Source2: createdb
Patch0: rtg2-Highspeed.patch
Patch1: rtg2-no-contrib.patch
Patch2: librtgmysql.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: automake autoconf libtool-ltdl-devel libpng-devel
BuildRequires: gd-devel mysql-devel net-snmp-devel byacc flex

%description
RTG2 provides a poller and a plotter for retrieving values via SNMP and
storing them in a MySQL database, for later graphing.

%package plot
Summary: RTG2 common files
Group: System Environment/Daemons
Requires: %{name}%{?_isa} = %{version}-%{release}
Requires: perl

%description plot
Plotter binary for RTG2, and associated web scripts

%package poll
Summary: RTG2 poller
Group: System Environment/Daemons
Requires: %{name}%{?_isa} = %{version}-%{release}

%description poll
Provids the RTG2 poller

%package devel
Summary: RTG2 header files
Group: System Environment/Daemons

%description devel
RTG2 header files


%prep
%setup -q
%{__perl} -pi -e "s:common.h:rtgcommon.h:g" `grep -Ril common.h *`
%{__perl} -pi -e 's|^#!/usr/local/bin/perl|#!%{_bindir}/perl|;' targetmaker/etc/findsnmp_hosts
%{__perl} -pi -e 's|^#!/usr/local/bin/perl|#!%{_bindir}/perl|;' targetmaker/web/php/locales/pigtrans.pl
mv src/common.h src/rtgcommon.h
./bootstrap.sh

%define _default_patch_fuzz 3
%patch0 -p1 -b .highspeed
%patch1 -p0 -b .no-contrib
%patch2 -p0 -b .rtgmysql


%build
%configure
make %{?_smp_mflags}



%install
%{__perl} -pi -e "s:/opt/rtg/etc:%{_sysconfdir}/rtg:" targetmaker/etc/targetmaker.cfg.dist
%{__perl} -pi -e "s:/opt/rtg/targetmaker/etcrtgmodules/:%{_datadir}/rtg/rtgmodules/:" targetmaker/etc/targetmaker.cfg.dist
%{__perl} -pi -e "s:/opt/rtg/targetmaker/etc/targetmaker.cfg:%{_sysconfdir}/rtg/targetmaker.cfg:" targetmaker/etc/targetmaker

rm -rf $RPM_BUILD_ROOT
install -d -m 755 $RPM_BUILD_ROOT/usr/web
make install DESTDIR=$RPM_BUILD_ROOT prefix=$RPM_BUILD_ROOT
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/rtg/rtgmodules
install -d -m 755 $RPM_BUILD_ROOT%{_sysconfdir}/rtg
install -d -m 755 $RPM_BUILD_ROOT%{_localstatedir}/www/cgi-bin
install -d -m 755 $RPM_BUILD_ROOT%{_initrddir}
install -d -m 755 $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig
install -m 755 targetmaker/etc/targetmaker $RPM_BUILD_ROOT%{_bindir}/targetmaker
install -m 644 etc/rtg.conf $RPM_BUILD_ROOT%{_sysconfdir}/rtg/rtg.conf
install -m 644 targetmaker/etc/targetmaker.cfg.dist $RPM_BUILD_ROOT%{_sysconfdir}/rtg/targetmaker.cfg
install -m 644 targetmaker/etc/rtgmodules/* $RPM_BUILD_ROOT%{_datadir}/rtg/rtgmodules/
install -m 755 src/rtgplot $RPM_BUILD_ROOT%{_localstatedir}/www/cgi-bin/rtgplot.cgi
install -m 755 contrib/rtgpoll.SysV.rc $RPM_BUILD_ROOT%{_initrddir}/rtgpoll
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/rtgpoll
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/rtg/createdb.sql
rm -f $RPM_BUILD_ROOT%{_datadir}/rtg/rtgmodules/*.highspeed
cp -ra targetmaker/web/php $RPM_BUILD_ROOT%{_localstatedir}/www/rtg


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README
%{_libdir}/*
%{_sysconfdir}/rtg/rtg.conf

%files devel
%{_includedir}/*

%files poll
/bin/95.pl
/bin/report.pl
%{_bindir}/rtgpoll
%{_bindir}/targetmaker
%{_datadir}/rtg/rtgmodules/*
%{_datadir}/rtg/createdb.sql
%{_mandir}/man1/rtgpoll*
%{_initrddir}/*
%{_sysconfdir}/sysconfig/*
%{_sysconfdir}/createdb
%{_sysconfdir}/routers
%{_sysconfdir}/rtg.conf
%{_sysconfdir}/rtgtargmkr.pl
%{_sysconfdir}/rtg/targetmaker.cfg

%files plot
%{_bindir}/rtgplot
%{_localstatedir}/www/cgi-bin/rtgplot.cgi
%{_mandir}/man1/rtgplot*
%{_localstatedir}/www/rtg
%dir /web
/web/*




%changelog
* Wed Sep 26 2012 Jarek Sedlacek <jarek@nbcs.rutgers.edu> - 0.9-2.ru
- Rutgers Build
* Fri Jan 13 2012 Brandon Ewing <nicotine@warningg.com> - 0.9-2
- Fixed perl dependencies in rtgplot package.  Fixed naming issue in sysV
  script.  Removed patch file backups prior to install.
